#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#define ios ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define endl '\n'
#define pb push_back
using namespace std;
using namespace __gnu_pbds;
typedef tree<pair<int,int>, null_type, less<pair<int,int>>, rb_tree_tag, tree_order_statistics_node_update> os;
typedef unsigned long long ull;
typedef long long ll;
int main(){
    ios;
    int n, l;
    cin>>n>>l;
    vector<int> a(n);
    for(auto &x : a)cin>>x;
    for(int i = 0;i<n;i++){
        if(a[i]<=l){
            cout<<i+1<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
}